# k26f HIC

Based on MK26FN2M0VMI18 chip ([Data Sheet](https://www.nxp.com/docs/en/data-sheet/K26P169M180SF5.pdf)):
- Cortex-M4 180 Mhz
- 2 MB Flash
- 256 KB RAM
- High-speed USB 2.0 OTG controller (USBHS): up to 8 bi-directional endpoints including EP0 (**)
- LFBGA169 packaging

(*) "Supports eight programmable, bidirectional USB endpoints, including endpoint 0" (source [K26P169M180SF5RM :lock:](https://www.nxp.com/webapp/Download?colCode=K26P169M180SF5RM))

## Memory Map

| Region   |   Size | Start       | End         |
|----------|--------|-------------|-------------|
| Flash    | 256 KB | 0x0000_0000 | 0x0004_0000 |
| SRAM     | 256 KB | 0x1FFF_0000 | 0x2003_0000 |

Bootloader size is 64 KB

## DAPLink default pin assignment

| Signal      | I/O | Symbol  | Pin |
|-------------|:---:|---------|:---:|
| SWD         |
| SWCLK       |  O  | PTC5    | A11 |
| SWDIO       |  O  | PTC6    | A10 |
| SWDIO       |  I  | PTC7    | B10 |
| SWO         |  I  | PTC3    | A12 |
| nRESET      |  O  | PTA7    | L10 |
| UART        |
| UART RX     |  I  | PTB16   |  F8 |
| UART TX     |  O  | PTB17   | D13 |
| Button      |
| NF-RST But. |  I  | PTB1    | G12 |
| LEDs        |
| LED         |  O  | PTD4    |  B5 |
