# max32625 HIC

Based on MAX32625IWY+ chip ([Data Sheet](https://datasheets.maximintegrated.com/en/ds/MAX32625-MAX32626.pdf)):
- Cortex-M4 96 Mhz
- 512 KB Flash
- 160 KB RAM
- Full-speed USB 2.0 device controller: up to 7 uni-directional endpoints excluding EP0 (*)
- 63 WLP packaging

(*) "A total of 7 endpoint buffers are supported with configurable selection of IN or OUT in addition to endpoint 0."
(source: [AN6350](https://pdfserv.maximintegrated.com/en/an/AN6350.pdf))

## Memory Map

| Region   |  Size  | Start       | End         |
|----------|--------|-------------|-------------|
| Flash    | 512 KB | 0x0000_0000 | 0x0008_0000 |
| SRAM     | 160 KB | 0x2000_0000 | 0x2002_8000 |

Bootloader size is 64 KB

## DAPLink default pin assignment

Reference design is based on [MAX32625PICO](https://www.maximintegrated.com/en/products/microcontrollers/MAX32625PICO.html).


| Signal      | I/O | Symbol  | Pin |
|-------------|:---:|---------|:---:|
| SWD         |
| SWCLK       |  O  | P3.2    |  G6 |
| SWDIO       | I/O | P3.3    |  D5 |
| nRESET      |  O  | P3.7    |  G8 |
| UART        |
| UART RX     |  I  | P2.0    |  E6 |
| UART TX     |  O  | P2.1    |  F6 |
| Button      |
| NF-RST But. |  I  | P2.7    |  G5 |
| LEDs        |
| HID LED     |  O  | P2.5    |  E5 |
| MSD LED     |  O  | P2.4    |  G4 |
| CDC LED     |  O  | P2.6    |  G5 |
