# nrf52820 HIC

Based on Nordic [nRF52820](https://www.nordicsemi.com/Products/nRF52820)
and [nRF52833](https://www.nordicsemi.com/Products/nRF52833):
- Cortex-M4 64 MHz
- 256 KB Flash
- 32 KB RAM
- Full-speed USB 2.0 device controller: up to 9 bi-directional endpoints including EP0 (*)
- QFN40 packaging

(*) "Endpoints: 2 control (1 IN, 1 OUT) [...] 14 bulk/interrupt (7 IN, 7 OUT) [...] 2 isochronous (1 IN, 1 OUT)" (source: [Datasheet](https://infocenter.nordicsemi.com/pdf/nRF52820_OPS_v0.7.pdf))

## Memory Map

| Region   |  Size  | Start       | End         |
|----------|--------|-------------|-------------|
| Flash    | 128 KB | 0x0000_0000 | 0x0002_0000 |
| SRAM     |  32 KB | 0x2000_0000 | 0x2000_8000 |

Bootloader size is 32 KB
Limiting flash usage to 128 KB

## DAPLink default pin assignment

# nrf52820

| Signal      | I/O | Symbol  | Pin |
|-------------|:---:|---------|:---:|
| SWD         |
| SWCLK       |  O  | P0.01   |   3 |
| SWDIO       | I/O | P0.00   |   2 |
| UART        |
| UART TX     |  I  | P0.29   |  32 |
| UART RX     |  O  | P0.08   |  31 |
| Button      |
| F-RST  But. |  I  | P0.06   |   6 |
| LEDs        |
| HID LED     |  O  | P0.14   |  14 |
| MSD LED     |  O  | P0.14   |  14 |
| CDC LED     |  O  | P0.14   |  14 |
| POWER LED   |  O  | P0.15   |  15 |

Note:
- LEDs have active state high.

# nrf52833

| Signal      | I/O | Symbol  | Pin |
|-------------|:---:|---------|:---:|
| SWD         |
| SWCLK       |  O  | P0.01   |   3 |
| SWDIO       | I/O | P0.00   |   2 |
| UART        |
| UART TX     |  I  | P0.02   |  32 |
| UART RX     |  O  | P0.03   |  31 |
| Button      |
| F-RST  But. |  I  | P1.09   |   6 |
| LEDs        |
| HID LED     |  O  | P0.15   |  14 |
| MSD LED     |  O  | P0.15   |  14 |
| CDC LED     |  O  | P0.15   |  14 |
| POWER LED   |  O  | P0.17   |  15 |

Note:
- LEDs have active state high.
